Bug 141216 - [PATCH] x11/avant-window-navigator : fixing it with gnome-2.28
Summary: [PATCH] x11/avant-window-navigator : fixing it with gnome-2.28
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-06 11:50 UTC by gustau.perez
Modified: 2009-12-24 15:05 UTC (History)
0 users

See Also:


Attachments
file.diff (257 bytes, patch)
2009-12-06 11:50 UTC, gustau.perez
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gustau.perez 2009-12-06 11:50:04 UTC
The x11/avant-window-navigator app seems to fail with the new gnome release (currently 2.28). With medium screen resolutions seems to start by adding a "-sync" when starting it. But with large screen resolutions (twinview resolutions of 2560x1280) it refuses to start.
It seems that the problem has something to do with an incorrect memory initialization. Patching $WRKSRC/libawn/awn-settings.c fixes the problem.

Fix: Patch attached with submission follows:
How-To-Repeat: Start avant-window-navigator from command-line.
Comment 1 Edwin Groothuis freebsd_committer 2009-12-06 11:50:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dmitry Marakasov 2009-12-07 18:42:27 UTC
* Gustau P=EF=BF=BDrez (gustau.perez@gmail.com) wrote:

> The x11/avant-window-navigator app seems to fail with the new gnome rel=
ease (currently 2.28). With medium screen resolutions seems to start by a=
dding a "-sync" when starting it. But with large screen resolutions (twin=
view resolutions of 2560x1280) it refuses to start.
> It seems that the problem has something to do with an incorrect memory =
initialization. Patching $WRKSRC/libawn/awn-settings.c fixes the problem.
> >How-To-Repeat:
> Start avant-window-navigator from command-line.=20
> >Fix:

Thanks for the patch! Is there any chance you may want to take awn
maintainership? I've never used it to begin with and was just asked to
create the port, so I'm obviously the worst maintainer for it, you on
the other hand use it and were able to find and fix a bug.

--=20
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 3 Dmitry Marakasov freebsd_committer 2009-12-08 01:31:44 UTC
State Changed
From-To: open->feedback

Ask whether submitter is willing to become maintainer
Comment 4 dfilter service freebsd_committer 2009-12-18 01:48:39 UTC
amdmi3      2009-12-18 01:48:25 UTC

  FreeBSD ports repository

  Modified files:
    x11/avant-window-navigator Makefile 
  Added files:
    x11/avant-window-navigator/files patch-libawn-settings.c 
  Log:
  - Fix with gnome-2.28
  
  PR:             141216
  Submitted by:   Gustau Pérez <gustau.perez@gmail.com>
  
  Revision  Changes    Path
  1.7       +1 -1      ports/x11/avant-window-navigator/Makefile
  1.1       +14 -0     ports/x11/avant-window-navigator/files/patch-libawn-settings.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Dmitry Marakasov freebsd_committer 2009-12-24 15:05:19 UTC
State Changed
From-To: feedback->open

Submitter timeout; seems like the port remains mine :(
Comment 6 Dmitry Marakasov freebsd_committer 2009-12-24 15:05:27 UTC
State Changed
From-To: open->closed

Committed. Thanks!